Subject: Re: Illegal instruction - a workaround or fix ?

From: "Maciej W. Rozycki" <[email-masked]>
Date: Wed, 2 May 2001 15:21:11 +0200 (MET DST)

On Mon, 30 Apr 2001, Ralf Baechle wrote:

> >  It could be doable with __builtin_frame_address().  Haven't investigated
> > it further, though. 
> 
> MIPS ABI doesn't define that ra gets stored at a constant offset in
> the stackframe, so that won't work.

 Hmm, I think we check look how gcc gets __builtin_return_address() 
(specifically for levels greater than 0) and use the same way.  We don't
need to stick to the ABI in the kernel (building non-PIC we already
violate it anyway) and we can assume the code is to be built by gcc. 

-- 
+  Maciej W. Rozycki, Technical University of Gdansk, Poland   +
+--------------------------------------------------------------+
+        e-mail: [email-masked], PGP key available        +